<?php
/*
Theme Name: stripped-galleria
Version: 1.4.3
Description: stripped-galleria theme
Theme URI: http://piwigo.org/ext/extension_view.php?eid=585
Author: Julien Capitaine (Zaphod on Piwigo forums)
Author URI: http://www.audreyetjulien.fr/galerie
*/
	
$themeconf = array(
  'parent' => 'stripped',
  'load_parent_css' => true,
  'load_parent_local_head' => true,
  'name' => 'stripped-galleria',
  'theme_dir' => 'stripped-galleria',
  'icon_dir' => 'themes/stripped/icon',
  'admin_icon_dir' => 'themes/default/icon/admin',
  'mime_icon_dir' => 'themes/default/icon/mimetypes/',
  'local_head' => 'local_head.tpl',
);

global $conf, $stripped, $strippedgalleria;

// temporary workaround
$conf['template_combine_files'] = false;

// Need upgrade?
if (!isset($conf['stripped-galleria']))
  include(PHPWG_THEMES_PATH.'stripped-galleria/admin/upgrade.inc.php');

$stripped['maxThumb']=999;
$stripped = array_merge( unserialize( $conf['stripped'] ), (array)$stripped );
$strippedgalleria = unserialize( $conf['stripped-galleria'] );
if (!isset($strippedgalleria['lightbox'])) $strippedgalleria['lightbox']='none';


add_event_handler('loc_end_index_thumbnails', 'strippedgalleria_add_thumbnails_hd_url', 50, 2);
function strippedgalleria_add_thumbnails_hd_url($tpl_vars)
{
	global $user, $conf, $template, $page;
	foreach($tpl_vars as &$x)
	{
		if ($user['enabled_high']) $x['HD_ACCESS'] = true;
		else $x['HD_ACCESS'] = false;
	}
	unset($x);
  $stripped =  unserialize( $conf['stripped'] );
  $strippedgalleria = unserialize( $conf['stripped-galleria'] );
	$template->assign( 'stripped', $stripped );
	$template->assign( 'strippedgalleria', $strippedgalleria );
	$template->assign( 'get_root_url', get_root_url() );
	if (!empty($page['section'])) $template->assign('section', $page['section']);
	if (!empty($page['category']['id'])) $template->assign('catid', $page['category']['id']);
	if (!empty($page['tag_ids'])) $template->assign('tagids', implode(',', $page['tag_ids']));
	return $tpl_vars;
}

add_event_handler('loc_begin_page_header', 'strippedgalleria_header');
function strippedgalleria_header()
{
  global $conf, $template;
  $stripped =  unserialize( $conf['stripped'] );
  $strippedgalleria = unserialize( $conf['stripped-galleria'] );
	$template->assign( 'stripped', $stripped );
	$template->assign( 'strippedgalleria', $strippedgalleria );
}
add_event_handler('loc_begin_index', 'strippedgalleria_add_downloadLink');
function strippedgalleria_add_downloadLink()
{
  global $conf, $template;
  $template->assign('downloadLink', $conf['picture_download_icon']);
}

?>
